#ifndef _LOCAL_UTMP_H_
#define _LOCAL_UTMP_H_

#ifdef STRUCT_UTMP_HAS_UT_HOST
#include <utmp.h>
#define UTMP_T struct utmp
#else
#ifdef HAVE_UTMPX_H
#include <utmpx.h>
#define UTMP_T struct utmpx
#define ut_time ut_tv.tv_sec
#else
#error struct utmp does not have ut_host, and <utmpx.h> not found
#endif
#endif
#ifndef STRUCT_UTMP_HAS_UT_USER
#define ut_user ut_name
#endif

#ifndef UT_LINESIZE
#define UT_LINESIZE sizeof(((UTMP_T *)0)->ut_line)
#define UT_NAMESIZE sizeof(((UTMP_T *)0)->ut_user)
#define UT_HOSTSIZE sizeof(((UTMP_T *)0)->ut_host)
#endif

#endif
